ID: 21593
Updated by: [email]sniperphp.net[/email]
Reported By: kelledin at users dot sourceforge dot net
-Status: Open
+Status: Feedback
Bug Type: Compile Failure
Operating System: linux 2.4.18
PHP Version: 4.3.0
New Comment:

Please try using this CVS snapshot:

[url]http://snaps.php.net/php4-STABLE-latest.tar.gz[/url]

For Windows:

[url]http://snaps.php.net/win32/php4-win32-STABLE-latest.zip[/url]




Previous Comments:
------------------------------------------------------------------------

[2003-08-06 11:04:34] [email]sniperphp.net[/email]

No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.



------------------------------------------------------------------------

[2003-07-31 03:26:00] [email]nicosphp.net[/email]

Do you still have problems with PHP5/PHP4.3.2?

------------------------------------------------------------------------

[2003-05-29 16:17:10] php at wizdom dot org dot uk

FreeBSD 4.8 (3 days old new kernel and world)
mod_php4 4.3.1

After which apache 1.3.27 failed to start causing a segmentation fault,

so I REM'ed out the php4 stuff in the httpd.conf and apache started
fine.

So decided it best to reinstall mod_php4.

I have tried many options in the make cycle all of which work fine but

when I do a make install I get the following errors:-

make install
===> Installing for mod_php4-4.3.1,1
===> mod_php4-4.3.1,1 depends on file: /usr/local/sbin/apxs - found
===> mod_php4-4.3.1,1 depends on shared library: mcrypt.8 - found
===> mod_php4-4.3.1,1 depends on shared library: mhash.2 - found
===> mod_php4-4.3.1,1 depends on shared library: pdf.5 - found
===> mod_php4-4.3.1,1 depends on shared library: jpeg.9 - found
===> mod_php4-4.3.1,1 depends on shared library: png.5 - found
===> mod_php4-4.3.1,1 depends on shared library: tiff.4 - found
===> mod_php4-4.3.1,1 depends on shared library: c-client4.8 - found
===> mod_php4-4.3.1,1 depends on shared library: mysqlclient.10 -
found
===> mod_php4-4.3.1,1 depends on shared library: ldap.2 - found
===> mod_php4-4.3.1,1 depends on shared library: lber.2 - found
===> mod_php4-4.3.1,1 depends on shared library: expat.4 - found
===> mod_php4-4.3.1,1 depends on shared library: xml2.5 - found
===> mod_php4-4.3.1,1 depends on shared library: intl.4 - found
===> mod_php4-4.3.1,1 depends on shared library: iconv.3 - found
===> mod_php4-4.3.1,1 depends on shared library: recode.3 - found
===> mod_php4-4.3.1,1 depends on shared library: aspell.15 - found
===> mod_php4-4.3.1,1 depends on shared library: mcal.0 - found
Installing PHP CLI binary: /usr/local/bin/
Installing PHP SAPI module
[activating module `php4' in /usr/local/etc/apache/httpd.conf]
cp libs/libphp4.so /usr/local/libexec/apache/libphp4.so
chmod 755 /usr/local/libexec/apache/libphp4.so
cp /usr/local/etc/apache/httpd.conf
/usr/local/etc/apache/httpd.conf.bak
cp /usr/local/etc/apache/httpd.conf.new
/usr/local/etc/apache/httpd.conf
rm /usr/local/etc/apache/httpd.conf.new
Installing shared extensions: /usr/local/lib/php/extensions/no-debug-
non-zts-20020429/
Installing PEAR environment: /usr/local/lib/php/
Segmentation fault (core dumped)
*** Error code 139

Stop in /usr/ports/www/mod_php4/work/php-4.3.1.
*** Error code 1

Stop in /usr/ports/www/mod_php4/work/php-4.3.1.
*** Error code 1

Stop in /usr/ports/www/mod_php4.
*** Error code 1

Stop in /usr/ports/www/mod_php4.

------------------------------------------------------------------------

[2003-05-29 14:45:31] quel at quelrod dot net

Openbsd 3.3 on x86 has the same problem. Seg fault on the make install
if you configure --with-pear.
no configure or make errors/warnings
I can't attach a backtrace as the debugging symbols were stripped from
httpd for performance reasons in the default install.

------------------------------------------------------------------------

[2003-04-30 06:35:38] wim dot vandersmissen at xatrax dot com

I also get a Segmentation fault when trying to install php-4.3.1 on
alpha.

Running install-pear.php from command line I get the following :
[PEAR] Archive_Tar: The following errors where found (use force option
to install anyway):
missing description
missing release notes
[PEAR] Console_Getopt: The following errors where found (use force
option to install anyway):
missing description
missing release notes
Segmentation fault (core dumped)

------------------------------------------------------------------------

The remainder of the comments for this report are too long. To view
the rest of the comments, please view the bug report online at
[url]http://bugs.php.net/21593[/url]

--
Edit this bug report at [url]http://bugs.php.net/?id=21593&edit=1[/url]